<template>
    <!-- HEADER START -->
    <header class="site-header header-style-4 mobile-sider-drawer-menu">
      
                   
       <div class="sticky-header main-bar-wraper  navbar-expand-lg">
            <div class="main-bar">                       
                <div class="container clearfix"> 
                
                    <div class="logo-header">
                        <div class="logo-header-inner logo-header-one">
                            <a href="/">
                                <img src="/assets/images/logo.png" alt="logo" />
                            </a>
                        </div>
                    </div>  
                    
                    <!-- NAV Toggle Button -->
                    <button style="margin-right: 15px;" @click="mobile_nav" id="mobile-side-drawer" data-target=".header-nav" data-toggle="collapse" type="button" class="navbar-toggler collapsed">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar icon-bar-first"></span>
                        <span class="icon-bar icon-bar-two"></span>
                        <span class="icon-bar icon-bar-three"></span>
                    </button> 

                        
                    <!-- MAIN Vav -->
                    <div class="header-nav navbar-collapse collapse d-flex justify-content-end" >
                
                        <ul class=" nav navbar-nav">
                            <router-link to="/" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                <li :class="isActive && isExactActive ? activatedLink() : ''">
                                    <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                        {{lang == 'en' ? 'HOME':'BERANDA'}}
                                    </a>
                                </li>
                            </router-link>
                            <li id="tg-child" :class="childActive ? 'active': ''">
                                <a href="javascript:void(0)" style="font-family: 'raleway-bold'; font-weight: 200;">{{lang == 'en' ? 'ABOUT US':'TENTANG KAMI'}}</a>
                                <ul class="sub-menu">
                                    <router-link to="/about-us" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                        <li :class="isActive && isExactActive ? activatedLink(true)  : ''">
                                            <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                                {{lang == 'en' ? 'ABOUT HELIX' : 'TENTANG HELIX'}}
                                            </a>
                                        </li>
                                    </router-link>
                                    <router-link to="/faq" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                        <li :class="isActive && isExactActive ? activatedLink(true) : ''">
                                            <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                                FAQ
                                            </a>
                                        </li>
                                    </router-link>
                                </ul>
                            </li>
                            <router-link to="/calculator" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                <li :class="isActive && isExactActive ? activatedLink() : ''">
                                    <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                        {{lang == 'en' ? 'CALCULATOR' : 'KALKULATOR'}}
                                    </a>
                                </li>
                            </router-link>
                            <router-link to="/service" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                <li :class="isActive && isExactActive ? activatedLink() : ''">
                                    <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                        {{lang == 'en' ? 'SERVICES':'LAYANAN'}}
                                    </a>
                                </li>
                            </router-link>
                            <router-link to="/project" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                <li :class="isActive && isExactActive ? activatedLink() : ''">
                                    <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                        {{lang == 'en' ? 'PROJECTS' : 'PROYEK'}}
                                    </a>
                                </li>
                            </router-link> 
                            <router-link to="/partner" v-slot="{ href, route, navigate, isActive, isExactActive }">
                                <li :class="isActive && isExactActive ? activatedLink() : ''">
                                    <a :href="href" @click="navigate" style="font-family: 'raleway-bold'; font-weight: 200;">
                                        {{lang == 'en' ? 'PARTNERS' : 'ALIANSI'}}
                                    </a>
                                </li>
                            </router-link> 
                            <li>
                                <a href="#"  style="font-family: 'raleway-bold'; font-weight: 200;">{{lang == 'en' ? 'CONTACT US' : 'HUBUNGI KAMI'}}</a>
                            </li>
                            <li>
                                <a href="javascript:void(0)" v-if="lang == 'en'"  style="font-family: 'raleway-bold'; font-weight: 200;">
                                    <tr>
                                        <td><img src="/assets/images/flag/uk.svg" style="width: 20px;"></td>
                                        <td style="padding-left: 10px;">ENGLISH</td>
                                    </tr>
                                </a>
                                <a href="javascript:void(0)" v-if="lang == 'id'"  style="font-family: 'raleway-bold'; font-weight: 200;">
                                    <tr>
                                        <td><img src="/assets/images/flag/indonesia.svg" style="width: 20px;"></td>
                                        <td style="padding-left: 10px;">BAHASA</td>
                                    </tr>
                                </a>
                                <!-- <a href="javascript:;">English</a> -->
                                <ul class="sub-menu">
                                    <li v-if="lang == 'en'">
                                        <a href="javascript:void(0)" @click.prevent="changeLang('id')">
                                            <tr>
                                                <td><img src="/assets/images/flag/indonesia.svg" style="width: 20px;"></td>
                                                <td style="padding-left: 10px;font-family: 'raleway-bold'; font-weight: 200;">BAHASA</td>
                                            </tr>
                                        </a>
                                    </li>
                                    <li v-if="lang == 'id'">
                                        <a href="javascript:void(0)"  @click.prevent="changeLang('en')">
                                            <tr>
                                                <td><img src="/assets/images/flag/uk.svg" style="width: 20px;"></td>
                                                <td style="padding-left: 10px;font-family: 'raleway-bold'; font-weight: 200;">ENGLISH</td>
                                            </tr>
                                        </a>
                                    </li>
                                </ul>                                
                            </li>
                        </ul>

                    </div>
                
                    <!-- SITE Search -->
                                                
                    
                </div>    
            </div>
        </div>

        <a href="javascript:void(0)" class=" contact-slide-show btn btn-sm btn-rounded" style="
        background: rgb(0,194,79);
        background: -moz-linear-gradient(left, rgba(0,194,79,1) 0%, rgba(28,40,33,1) 100%);
        background: -webkit-linear-gradient(left, rgba(0,194,79,1) 0%,rgba(28,40,33,1) 100%);
        background: linear-gradient(to right, rgba(0,194,79,1) 0%,rgba(28,40,33,1) 100%);
        position: fixed;
        border: 0px;
        width: 100px;
        border-radius: 20px;
        height: 40px;
        bottom: 40px;
        color: white;
        right: 30px; font-size: smaller;">{{lang == 'en' ? 'INQUIRY' : 'TANYAKAN'}}<span class="ripple"></span></a>
    </header>
    <!-- HEADER END -->
</template>

<script>
    export default {
        data() {
            return {
                lang: 'en',
                childActive: false
            }
        },
        mounted() {
            if(!localStorage.getItem('__LANG') || localStorage.getItem('__LANG') == 'en') {
                this.lang = 'en'
            } else {
                this.lang = 'id'
            }
        },
        methods: {
            contactUs() {
                var elmnt = document.getElementById("contact-us-section");
                elmnt.scrollIntoView()
            },
            changeLang(lang) {
                localStorage.setItem('__LANG', lang)
                this.lang = lang
                window.location.reload()
            },
            activatedLink(hasChild = false) {
                this.childActive = false
                if(hasChild) {
                    this.childActive = true
                    return ""
                } else {
                    return "active"
                }
            },
            mobile_nav(){
                $(".sub-menu").parent('li').addClass('has-child');
                $(".mega-menu").parent('li').addClass('has-child');
                $("<div class='fa fa-angle-right submenu-toogle'></div>").insertAfter(".has-child > a");
                $('.has-child a+.submenu-toogle').on('click',function(ev) {
                    $(this).next($('.sub-menu')).slideToggle('fast', function(){
                        $(this).parent().toggleClass('nav-active');
                    });
                    ev.stopPropagation();
                });
                $("#tg-child").on('click', e => {
                    $(".submenu-toogle").click()
                })
            }
        }
    }
</script>
